| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Protected Member Functions | List of all members
IG.Lib.SettingsReaderAppConfig Class Reference

Provides functionality for retrieving settings from various sources such as application settings file. More...

Inheritance diagram for IG.Lib.SettingsReaderAppConfig:
[legend]
Collaboration diagram for IG.Lib.SettingsReaderAppConfig:
[legend]

## Public Member Functions
override string | GetSetting (string settingname)
| Retrieves the specified setting from the current settings source. More...
Public Member Functions inherited from IG.Lib.SettingsReaderBase
virtual bool | GetBooleanSetting (string settingname)
| Retrieves the specified boolean setting from the current settings source. More...
virtual long | GetIntegerSetting (string settingname)
| Retrieves the specified integer setting from the current settings source. If the specific setting is not specified in the configuration then 0 is returned. More...
virtual long | GetIntegerSetting (string settingname, long defaultvalue)
| Retrieves the specified integer setting from the current settings source. More...

## Protected Member Functions
virtual string | GetSettingAppConfig (string settingname)

## Additional Inherited Members
Protected Attributes inherited from IG.Lib.SettingsReaderBase
bool | _expandEnv = true
Properties inherited from IG.Lib.SettingsReaderBase
object | Lock`[get]`
| ILockable.Lock, gets a public lock for the current object. More...
virtual bool | ExpandEnvironmentVariables`[get, set]`
Properties inherited from IG.Lib.ILockable
object | Lock`[get]`

## Detailed Description

Provides functionality for retrieving settings from various sources such as application settings file.

$A Igor Apr10;

## Member Function Documentation

override string IG.Lib.SettingsReaderAppConfig.GetSetting | ( | string | settingname | ) |
| inline virtual

Retrieves the specified setting from the current settings source.

Parameters

  settingname | Setting name.

Implements IG.Lib.SettingsReaderBase.

virtual string IG.Lib.SettingsReaderAppConfig.GetSettingAppConfig | ( | string | settingname | ) |
| inline protected virtual

The documentation for this class was generated from the following file:

- igbase/application/SettingsRreader.cs